# $Id: sitex.spec,v 1.4 2009/03/04 15:11:11 slords Exp $
# Authority: ????
# Name: David Harper

%define name sitex
%define version 0.7.4
%define release 418
Summary: SiteX is a flexible, easy to use content management system for small websites
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://sitex.bjsintay.com
Group: SMEserver/addon
#wget http://downloads.sourceforge.net/sitex/SiteX_074_build_418.zip
Source: SiteX_074_build_418.zip
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-release >= 7.0
AutoReqProv: no

%description
http://sitex.bjsintay.com/
SiteX is a flexible, easy to use content management system for small websites

%changelog
* Sat Dec 27 2008 David Harper <davidiwharper@hotmail.com> 0.7.4-418
- initial release
- builds from unchanged .zip

%prep
%setup  -c -n %{name}
%build
#drop in an unchanged .tgz, if required rename directory here, eg remove version number.
mkdir -p root/opt/
mv %{name} root/opt/sitex

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
   --dir 'opt/sitex/content/' 'attr(775,www,www)' \
   --dir 'opt/sitex/content/title_pictures/' 'attr(775,www,www)' \
    > %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}

%pre
%preun
%post
chown -R www.www /opt/sitex/content
chmod -R 775 /opt/sitex/content

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

